Loading...
Searching...
No Matches
area_poly2.c File Reference

GIS Library - Planimetric polygon area calculation routines. More...

`#include <grass/gis.h>`
Include dependency graph for area_poly2.c:

Go to the source code of this file.

## Functions

double | G_planimetric_polygon_area (const double *x, const double *y, int n)
| Calculates planimetric polygon area.

## Detailed Description

GIS Library - Planimetric polygon area calculation routines.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file area_poly2.c.

## Function Documentation

## G_planimetric_polygon_area()

double G_planimetric_polygon_area | ( | const double * | x,
|  | const double * | y,
|  | int | n )

Calculates planimetric polygon area.

Parameters

  x | array of x values
  y | array of y values
  n | number of x,y pairs

Returns
  polygon area in map units

Definition at line 25 of file area_poly2.c.

References x.

Referenced by G_area_of_polygon().